Summary:	A JSON implementation in C
Name:		libfastjson
Version:	1.2304.0
Release:	2%{?dist}
License:	MIT
URL:		https://github.com/rsyslog/libfastjson
Source0:	http://download.rsyslog.com/libfastjson/libfastjson-%{version}.tar.gz

BuildRequires: autoconf automake libtool make

%description
LIBFASTJSON  is a fork from json-c,provides a small library with 
essential json handling functions and sufficiently good json support,
allows you to easily construct JSON objects in C, output them as JSON formatted strings
and parse JSON formatted strings back into the C representation of JSON objects.

%package	devel
Summary:	Development files for libfastjson
Requires:	libfastjson = %{version}-%{release}

%description	devel
This package contains libraries and header files for
developing applications that use libfastjson.

%prep
%autosetup

for doc in ChangeLog; do
 iconv -f iso-8859-1 -t utf8 $doc > $doc.new &&
 touch -r $doc $doc.new &&
 mv $doc.new $doc
done

%build
autoreconf -iv
%configure --enable-shared --disable-static

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%check
make check


%files
%license COPYING
%doc AUTHORS ChangeLog README.html
%{_libdir}/libfastjson.so.*

%files devel
%{_includedir}/libfastjson
%{_libdir}/libfastjson.so
%{_libdir}/pkgconfig/libfastjson.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2304.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 1.2304.0-1
- update to 1.2304.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.9-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.99.9-1
- package init.
